From 6a5c9e7e8daf4e1361709a75719c17c8c28a6c4b Mon Sep 17 00:00:00 2001
From: Rico Tzschichholz <ricotz@ubuntu.com>
Date: Fri, 23 Mar 2018 17:55:11 +0100
Subject: [PATCH] inspect: Adapt to binding change of
 Signal.add_emission_hook() in vala 0.41

https://git.gnome.org/browse/vala/commit/?id=1d4db9f276c2593f072313864c743c6dd16acf35

Reviewed-by: Philip Withnall <withnall@endlessm.com>
---
 tools/inspect/signal-manager.vala | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/tools/inspect/signal-manager.vala b/tools/inspect/signal-manager.vala
index 4d1b6480..7c5b17a0 100644
--- a/tools/inspect/signal-manager.vala
+++ b/tools/inspect/signal-manager.vala
@@ -430,7 +430,11 @@ public class Folks.Inspect.SignalManager : Object
         return false;
 
       ulong hook_id = Signal.add_emission_hook (signal_id,
+#if VALA_0_42
+          detail_quark, this.emission_hook_cb);
+#else
           detail_quark, this.emission_hook_cb, null);
+#endif
 
       /* Store the hook ID so we can list or remove it later */
       HashMap<uint, ulong> hook_ids =
-- 
2.18.1

